Subject: [Sip] Question on RFC 3325- handling of SIP requests with malformed syntax

From: "Rajeev Narang \(ranarang\)" <[email-masked]>
Date: Tue, 20 Feb 2007 12:55:40 +0530

Hi,
 
I have a question on RFC 3325 in regard to handling of SIP requests for
the following e.g:-
1) Having malformed syntax for PAI or PPI header? Should UA send 400 Bad
Request or ignore it.
 
   Text from rfc " A P-Asserted-Identity header field value MUST consist
of exactly one
   name-addr or addr-spec".
 
2) Having more then 2 PAI or PPI headers? Should UA send 400 Bad Request
or ignore it.
    Having 2 PAI, both with sip URI?. Should UA send 400 Bad Request or
ignore it.
    Having 2 PAI, both with sips URI?. Should UA send 400 Bad Request or
ignore it.
    Having 2 PAI, both with tel URI?. Should UA send 400 Bad Request or
ignore it.
    Having 2 PAI, one with sip URI and other with tel URI. The sip URI
is having correct syntax and tel URI having bad syntax?. Should UA send
400 Bad Request or ignore it.
   
   Text from rfc " There may be one or two P-Asserted-Identity
   values.  If there is one value, it MUST be a sip, sips, or tel URI.
   If there are two values, one value MUST be a sip or sips URI and the
   other MUST be a tel URI."

Thanks,
Rajeev

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Juha Heinanen <[email-masked]>
Date: Tue, 20 Feb 2007 09:38:25 +0200

>    other MUST be a tel URI."

this reminds me, how does one make a secure call using a tel uri,
because there is no tels?  if it cannot be done, it is yet another good
reason to deprecate sips or tel or preferable both.

-- juha

---

From: Khairunnisa Hassanali <[email-masked]>
Date: Tue, 20 Feb 2007 16:01:17 -0600

Rajeev Narang (ranarang) wrote:
> Hi,
>  
> I have a question on RFC 3325 in regard to handling of SIP requests 
> for the following e.g:-
> 1) Having malformed syntax for PAI or PPI header? Should UA send 400 
> Bad Request or ignore it.
>  
>    Text from rfc " A P-Asserted-Identity header field value MUST 
> consist of exactly one
>    name-addr or addr-spec".
>  
> 2) Having more then 2 PAI or PPI headers? Should UA send 400 Bad 
> Request or ignore it.
>     Having 2 PAI, both with sip URI?. Should UA send 400 Bad Request 
> or ignore it.
>     Having 2 PAI, both with sips URI?. Should UA send 400 Bad Request 
> or ignore it.
>     Having 2 PAI, both with tel URI?. Should UA send 400 Bad Request 
> or ignore it.
> is having correct syntax and tel URI having bad syntax?. Should UA 
> send 400 Bad Request or ignore it.
>   
> ------------------------------------------------------------------------
>
Hi,

    In case the PAI/PPI header is malformed the request should be 
rejected with a 400 Bad Request header. In cases, where the previous hop 
is from a trusted domain the PAI takes precedence over the From header 
and should be used as the callers identity. A PPI header is generally of 
no importance to the endpoint and is used by the privacy server for 
choosing the appropriate identity to be inserted into the outgoing message.
     Similiarly, in the scenario mentioned above the request should be 
rejected with a 4xx response.
Regards
Nisha
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip